/*      axpsi2x.h

        \[X擾̂߂̒`
*/

#ifndef AXPSI2X_H       /* { */
#define AXPSI2X_H       0x0100

#ifdef  __cplusplus
extern  "C"
{
#endif

/*//////////////////////////////////////////////////////////////////////
*/

#define SI2X_E_SUCCESS          0
#define SI2X_E_BAD_SOCKET       1
#define SI2X_E_NO_CARD          2
#define SI2X_E_NOT_CONFIGURATED 3

#define SI2X_ACT_INQ_RESOURCE   'R'

#define SZ_AXPSI2X              "AXPSI2X$"

/*//////////////////////////////////////////////////////////////////////
*/

typedef struct  _SI2XRES
{
        unsigned short  wActRes;        /* I    IOCTL action */
                                        /* O    IOCTL result */
        unsigned short  wSocket;        /* I    Socket # */
        unsigned short  iIRQ;           /* O    IRQ # */
        unsigned short  wIOBase0;       /* O    I/O port base */
        unsigned short  wIONum0;        /* O    I/O port # */
        unsigned short  wIOBase1;       /* O    I/O port base */
        unsigned short  wIONum1;        /* O    I/O port # */
}       SI2XRES;

/*//////////////////////////////////////////////////////////////////////
*/

#ifdef  __cplusplus
}
#endif

#endif  /* } */
